<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{B4FF8229-BC04-4D00-833F-1C250AAF2470}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>parkspace_manager</RootNamespace>
    <AssemblyName>parkspace_manager</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="db, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>sdk\mysql\db.dll</HintPath>
    </Reference>
    <Reference Include="Google.Protobuf, Version=3.17.3.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
      <HintPath>..\packages\Google.Protobuf.3.17.3\lib\net45\Google.Protobuf.dll</HintPath>
    </Reference>
    <Reference Include="MySql.Data, Version=6.7.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>sdk\mysql\MySql.Data.dll</HintPath>
    </Reference>
    <Reference Include="NNanomsg, Version=0.5.2.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\NNanomsg.0.5.2\lib\net40\NNanomsg.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Buffers, Version=4.0.2.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Buffers.4.4.0\lib\netstandard1.1\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Memory, Version=4.0.1.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Memory.4.5.3\lib\netstandard1.1\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=4.0.4.1, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Runtime.CompilerServices.Unsafe.4.5.2\lib\netstandard1.0\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="communication\Communicator.cs" />
    <Compile Include="db_manager\DBManager.cs" />
    <Compile Include="Form1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form1.Designer.cs">
      <DependentUpon>Form1.cs</DependentUpon>
    </Compile>
    <Compile Include="FormParkSpaceStatus.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormParkSpaceStatus.Designer.cs">
      <DependentUpon>FormParkSpaceStatus.cs</DependentUpon>
    </Compile>
    <Compile Include="FormStatusSelect.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormStatusSelect.Designer.cs">
      <DependentUpon>FormStatusSelect.cs</DependentUpon>
    </Compile>
    <Compile Include="LOG\Credence.cs" />
    <Compile Include="LOG\log.cs" />
    <Compile Include="LOG\LogManager.cs" />
    <Compile Include="LOG\LogTest.cs" />
    <Compile Include="message\MessageBase.cs" />
    <Compile Include="message\ParkspaceAllocationMessage.cs" />
    <Compile Include="Monitor\Monitor.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="Form1.resx">
      <DependentUpon>Form1.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormParkSpaceStatus.resx">
      <DependentUpon>FormParkSpaceStatus.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormStatusSelect.resx">
      <DependentUpon>FormStatusSelect.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <None Include="message\message_base.proto" />
    <None Include="message\parkspace_allocation_message.proto" />
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <None Include="x64\libnanomsg.so">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="x86\libnanomsg.so">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="sdk\dotNetty\DotNetty.Buffers.dll" />
    <Content Include="sdk\dotNetty\DotNetty.Buffers.xml" />
    <Content Include="sdk\dotNetty\DotNetty.Codecs.dll" />
    <Content Include="sdk\dotNetty\DotNetty.Codecs.xml" />
    <Content Include="sdk\dotNetty\DotNetty.Common.dll" />
    <Content Include="sdk\dotNetty\DotNetty.Common.xml" />
    <Content Include="sdk\dotNetty\DotNetty.Handlers.dll" />
    <Content Include="sdk\dotNetty\DotNetty.Handlers.xml" />
    <Content Include="sdk\dotNetty\DotNetty.Transport.dll" />
    <Content Include="sdk\dotNetty\DotNetty.Transport.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.Abstractions.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.Abstractions.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.FileExtensions.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.FileExtensions.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.Json.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.Json.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Configuration.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.DependencyInjection.Abstractions.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.DependencyInjection.Abstractions.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.FileProviders.Abstractions.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.FileProviders.Abstractions.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.FileProviders.Physical.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.FileProviders.Physical.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Logging.Abstractions.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Logging.Abstractions.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Logging.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Logging.xml" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Primitives.dll" />
    <Content Include="sdk\dotNetty\Microsoft.Extensions.Primitives.xml" />
    <Content Include="sdk\dotNetty\netstandard.dll" />
    <Content Include="sdk\dotNetty\nettyCommunication.dll" />
    <Content Include="sdk\dotNetty\Newtonsoft.Json.dll" />
    <Content Include="sdk\dotNetty\Newtonsoft.Json.xml" />
    <Content Include="sdk\dotNetty\System.Collections.Immutable.dll" />
    <Content Include="sdk\dotNetty\System.Collections.Immutable.xml" />
    <Content Include="sdk\dotNetty\System.Runtime.CompilerServices.Unsafe.dll" />
    <Content Include="sdk\dotNetty\System.Runtime.CompilerServices.Unsafe.xml" />
    <Content Include="sdk\dotNetty\System.Runtime.InteropServices.RuntimeInformation.dll" />
    <Content Include="sdk\dotNetty\System.Threading.Tasks.Extensions.dll" />
    <Content Include="sdk\dotNetty\System.Threading.Tasks.Extensions.xml" />
    <Content Include="sdk\mysql\db.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="sdk\mysql\MySql.Data.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="x64\nanomsg.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="x86\nanomsg.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="..\packages\Google.Protobuf.Tools.3.12.4\build\Google.Protobuf.Tools.targets" Condition="Exists('..\packages\Google.Protobuf.Tools.3.12.4\build\Google.Protobuf.Tools.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Google.Protobuf.Tools.3.12.4\build\Google.Protobuf.Tools.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Google.Protobuf.Tools.3.12.4\build\Google.Protobuf.Tools.targets'))" />
  </Target>
</Project>